Uploaded image for project: 'CFEngine Community'
  1. CFEngine Community
  2. CFE-1252

Upgrade of rpm community package fails

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Rejected
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Packaging
    • Labels:
      None

      Description

      Steps to reproduce:
      Install community package 3.5.3 on Redhat 6 x86_64
      Now attempt to install the latest community package using rpm -Uvh

      The following output will be seen:

      file /etc/init.d/cfengine3 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /etc/sysconfig/cfengine3 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-agent from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-execd from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-key from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-monitord from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-promises from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-runagent from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/cf-serverd from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/bin/rpmvercmp from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libacl.so.1.1.0 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libattr.so.1.1.0 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libcrypto.so.0.9.8 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libpcreposix.so.0 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libpromises.so.3.0.5 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libvirt.so.0 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libxml2.so.2 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64
      file /var/cfengine/lib/libz.so.1 from install of cfengine-community-3.6.0beta2-1.x86_64 conflicts with file from package cfengine-nova-3.5.3-0.266.x86_64

        Attachments

          Activity

            People

            • Assignee:
              a10025 Volker Hilsheimer (Inactive)
              Reporter:
              jiraadmin Old User (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Summary Panel